using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication11
{
    class Program
    {
        static void Main(string[] args)
        {
            int n; int k;
            n = int.Parse(Console.ReadLine());
            k = int.Parse(Console.ReadLine());
            int[] m = new int[n];
            int kp = 0;
            for (int i = 0; i < n; i++)
            {
                m[i] = int.Parse(Console.ReadLine());
                if (m[i] == k) kp = i;
            }
            if (k == m[n - 1])
            {
                Console.WriteLine(m[0]);
            }
            else Console.WriteLine(m[kp + 1]);
            
        }
    }
}